summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBenjamin Cohen <bencoh@notk.org>2012-03-18 16:55:43 +0100
committerBenjamin Cohen <bencoh@notk.org>2012-03-18 16:55:43 +0100
commitfd0d541b269588d57d5454fe513f717ca9792d0c (patch)
tree09bfaad10358419803d57d74aabefc15fb9d901c
parent5e1a9338122f308ce2c0abe7de303d0d5234c2d0 (diff)
parent81fdd01fc3c8b850e9d14d0eab4a9af20fcd99cd (diff)
Merge branch 'master' of http://git.notk.org/asmadeus/kvm-wrapper
-rwxr-xr-xkvm-wrapper.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/kvm-wrapper.sh b/kvm-wrapper.sh
index 411c224..63f9089 100755
--- a/kvm-wrapper.sh
+++ b/kvm-wrapper.sh
@@ -544,7 +544,7 @@ function kvm_run_disk ()
require_exec "$KVM_BIN"
KVM_DISK1="$1"
prepare_disks "$KVM_DISK1"
- test_file_rw "$KVM_DISK1" || "Couldn't read/write image file :\n$KVM_DISK1"
+ test_file_rw "$KVM_DISK1" || fail_exit "Error: Couldn't read/write image file:\n$KVM_DISK1"
# Build kvm exec string
local EXEC_STRING="$KVM_BIN -net nic,model=$KVM_NETWORK_MODEL,macaddr=$KVM_MACADDRESS -net tap -hda $KVM_DISK1 -boot c $KVM_KEYMAP $KVM_OUTPUT $KVM_ADDITIONNAL_PARAMS"